## sdlip.helpers
Class ClientDaslTransport

    java.lang.Object
      |
      +--sdlip.helpers.ClientTransportModule
            |
            +--sdlip.helpers.ClientDaslTransport

All Implemented Interfaces:
  Metadata, ResultAccess, Search

public class ClientDaslTransport
extends ClientTransportModule

Field Summary

Fields inherited from class sdlip.helpers.ClientTransportModule
`dbg`

Fields inherited from interface sdlip.Search
`MAINTAIN_UNLIMITED, NOT_YET_KNOWN, RETURN_ALL_DOCS, UNKNOWABLE`

Fields inherited from interface sdlip.ResultAccess
`CANCEL_ALL_REQUESTS`

Constructor Summary
`ClientDaslTransport()`
`ClientDaslTransport(java.lang.String lsp)`

Method Summary
`void` `cancelRequest(int serverSID, int reqID)`
`void` `extendStateTimeout(int serverSID, int additionalTime, org.omg.CORBA.IntHolder timeAllotted)`
`void` `getDocs(int serverSID, int reqID, XMLObject docPropList, java.lang.String docsToGet, XMLObject res)`
`void` `getInterface(XMLObject intf)`
`void` `getPropertyInfo(java.lang.String subcolName, XMLObject propInfo)`
`void` `getSessionInfo(int serverSID, org.omg.CORBA.IntHolder expectedTotal, org.omg.CORBA.IntHolder stateTimeout)`
`void` `getSubcollectionInfo(XMLObject subcolInfo)`
`void` `search(int clientSID, XMLObject subcols, XMLObject query, int numDocs, XMLObject docProps, int stateTimeoutReq, XMLObject queryOptions, org.omg.CORBA.IntHolder expectedTotal, org.omg.CORBA.IntHolder stateTimeout, org.omg.CORBA.IntHolder serverSID, XMLObject serverDelegate, XMLObject result)` Implementation of the search method of the Abstract Interface
`void` `setAuthorization(java.lang.String name, java.lang.String passwd)` experimental use only; needed to talk to Glyphica server
`void` `setLspUri(java.lang.String lspStr)` Default initialization.
`void` `setProtocolVersion(java.lang.String version)` experimental use only; needed to talk to Glyphica server
`java.lang.String` `toString()`

Methods inherited from class sdlip.helpers.ClientTransportModule
`create, deregister, register, setDBG`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ClientDaslTransport

    public ClientDaslTransport()

### ClientDaslTransport

    public ClientDaslTransport(java.lang.String lsp)
                        throws SDLIPException

Method Detail

### setLspUri

    public void setLspUri(java.lang.String lspStr)
                   throws SDLIPException

  Description copied from class: `ClientTransportModule`
  Default initialization. Returns true if this module accepts the URI

  Overrides:
    `setLspUri` in class `ClientTransportModule`
    `SDLIPException`

### setAuthorization

    public void setAuthorization(java.lang.String name,
                                 java.lang.String passwd)

  experimental use only; needed to talk to Glyphica server

### setProtocolVersion

    public void setProtocolVersion(java.lang.String version)

  experimental use only; needed to talk to Glyphica server

### search

    public void search(int clientSID,
                       XMLObject subcols,
                       XMLObject query,
                       int numDocs,
                       XMLObject docProps,
                       int stateTimeoutReq,
                       XMLObject queryOptions,
                       org.omg.CORBA.IntHolder expectedTotal,
                       org.omg.CORBA.IntHolder stateTimeout,
                       org.omg.CORBA.IntHolder serverSID,
                       XMLObject serverDelegate,
                       XMLObject result)
                throws SDLIPException

  Implementation of the search method of the Abstract Interface

    `SDLIPException`

### cancelRequest

    public void cancelRequest(int serverSID,
                              int reqID)
                       throws SDLIPException

    `SDLIPException`

### getSessionInfo

    public void getSessionInfo(int serverSID,
                               org.omg.CORBA.IntHolder expectedTotal,
                               org.omg.CORBA.IntHolder stateTimeout)
                        throws SDLIPException

    `SDLIPException`

### getDocs

    public void getDocs(int serverSID,
                        int reqID,
                        XMLObject docPropList,
                        java.lang.String docsToGet,
                        XMLObject res)
                 throws SDLIPException

    `SDLIPException`

### extendStateTimeout

    public void extendStateTimeout(int serverSID,
                                   int additionalTime,
                                   org.omg.CORBA.IntHolder timeAllotted)
                            throws SDLIPException

    `SDLIPException`

### getInterface

    public void getInterface(XMLObject intf)
                      throws SDLIPException

    `SDLIPException`

### getSubcollectionInfo

    public void getSubcollectionInfo(XMLObject subcolInfo)
                              throws SDLIPException

    `SDLIPException`

### getPropertyInfo

    public void getPropertyInfo(java.lang.String subcolName,
                                XMLObject propInfo)
                         throws SDLIPException

    `SDLIPException`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`